const ST_Preview={isIframe:()=>window!==window.parent,waitMessage(){window.addEventListener("message",(event=>{event.data.message&&eval(event.data.message)}),!1)},runScriptsFromStorage(){let wasAnyScriptRun=!1;for(let key in sessionStorage)if(key.includes("preview-run-script_")){const previewRunScript=sessionStorage.getItem(key);wasAnyScriptRun||(wasAnyScriptRun=!0),eval(previewRunScript)}return wasAnyScriptRun},init(){this.waitMessage()}};ST_Preview.isIframe()&&ST_Preview.init();

$(document).ready(function(){
    
if (ST_Preview.isIframe()){
    const wasAnyScriptRun = ST_Preview.runScriptsFromStorage();
    if (wasAnyScriptRun) return;
}

//Nome do tema
const THEME_NAME = "Seu negócio! - Casa e Decoração";

//Fontes da Loja
Fontes_da_Loja({
	fonteGeral: "Roboto",
	fonteMenu: "Roboto"
});

//Configuração para o feed do instagram
Feed_Instagram({
	ativar: "sim",
	codigoToken: "token do instagram aqui",
	usuario: "anlmateriaiseletricos",
	titulo: "Siga-nos no instagram"
});

//Limitador de Categorias
Limitador_De_Categorias({
	ativar: "sim",
	icone: "https://cdn.awsli.com.br/1837/1837706/arquivos/sitemanuicon.png",
	titulo: "Todas Categorias",
	categoriasPrincipais: "6"
});

//Ícones da Sacola e Carrinho
Icone_Carrinho_Sacola({
	ativarSacola: "não"
});

//Configuração do WhatsApp Flutuante
Whatsapp_Flutuante({
	ativar: "sim",
	lado: "direito",
	alturaInferior: "85",
	numero: "(44) 99165-5689",
	texto: "Olá, gostaria de comprar"
});

//Comprar pelo WhatsApp na Listagens dos Produtos e Também na Página do Produto
Comprar_Pelo_Whatsapp_Listagem_Produtos({
	ativar: "sim",
	numero: "(44) 99165-5689",
	textoBotao: "Comprar pelo WhatsApp",
	mensagem: "Olá, tudo bem? Gostaria de comprar este produto:"
});

//Produtos e Também na Página do Produto
Comprar_Pelo_Whatsapp_Pagina_Produto({
	ativar: "sim",
	numero: "(44) 99165-5689",
	textoBotao: "Comprar/ pelo WhatsApp",
	mensagem: "Olá, tudo bem? Gostaria de comprar este produto:"
});

//Configuração do Vídeo na Home
Video_Home({
	ativar: "sim",
	link: "https://www.youtube.com/watch?v=ZOzYDqMfSwQ"
});

//Tamanho da Logomarca (Desktop e Mobile)
Tamanho_Logomarca({
	TamanhoDesktop: "250x200",
	TamanhoMobile: "150x50"
});

//Botão de Quantidade nas Listagens de Produtos
Carrossel_Produtos({
	ativarCarrosselComputador: "sim",
	ativarCarrosselMobile: "sim",
	quantidadePorLinhaMobile: "2",
	quantidadePorLinhaTablet: "3",
	quantidadePorLinhaComputador: "4"
});

//Rastreio de Pedido
Rastreio_Pedido({
	ativar: "sim",
	titulo: "Rastrear Pedido",
	tituloCampo: "Código de Rastreio",
	linkRastreio: "https://rastreae.com.br/resultado/"
});

//Configuração Mensagem Superior
Mensagem_Topo({
	ativar: "sim",
	corFundo: "#ffd400",
	corTextos: "black"
}, [
	{
		mensagem: "ACEITAMOS PAGAMENTOS VIA PIX | COMPRE PARCELADO E SEM JUROS!"
	},
	{
		mensagem: "SUA DISTRIBUIDORA DE MATERIAIS ELÉTRICOS"
	}
]);

//Cores nos precos dos produtos
Cores_Precos_Produtos({
	corPrecos: "black"
});

//Cores do Header (Cabeçalho)
Cores_Header({
	corFundoLogomarca: "white",
	corFundoMenu: "#ffd400",
	corTituloAcoes: "black",
	corIconesAcoes: "black",
	corNumeroBalaoCarrinho: "white",
	corBalaoCarrinho: "#bf9000",
	corFundoBarraBusca: "#fff2cc",
	corBarraBusca: "black",
	corIconeBarraBusca: "black",
	corCategoriasMenu: "black",
	corLinhasDivisorias: "white"
});

//Atendimento e contatos no cabeçalho
Contatos_Header({
	NumeroWhatsapp: "(44) 99165-5689",
	NumeroTelefone: "(44) 99186-3232",
	Email: "ecommerce@anlmateriaiseletricos.com.br",
	TituloHorario: "Horario de Atendimento",
	Horario: "Seg. à sex. - 08hrs as 20:00hrs"
});

//Atendimento e contatos no rodapé
Horario_Rodape({
	titulo: "Horario de Atendimento",
	horario: "Seg. à Sex. 8h às 20h"
});

//Logo Rodapé
Logo_Rodape({
	ativar: "sim",
	ativar_nova_logo: "sim",
	nova_logo_imagem: "https://cdn.awsli.com.br/2603/2603841/arquivos/design-sem-nome-9-.png"
});

//Cores do Rodapé
Cores_Rodape({
	corFundo: "#fff2cc",
	corTextos: "black",
	corLinhasDivisorias: "#eeeeee"
});

//Campo de quantidade para as listagens de produto
Compra_Por_Quantiade({
	ativar: "sim"
});

//Captura de e-mail flutuante (modal) na loja
Modal_Newsletter({
	ativar: "sim",
	imagem: "https://cdn.awsli.com.br/2603/2603841/arquivos/whatsapp-image-2026-03-26-at-16-25-24.jpeg"
});

//Captura de e-mail no rodapé da loja
Rodape_Newsletter({
	ativar: "sim",
	altura_bloco: "200px",
	icone: "https://cdn.awsli.com.br/1837/1837706/arquivos/iconnewslettermail.png",
	imagem_fundo: "https://cdn.awsli.com.br/1835/1835121/arquivos/newsletter-rodape-decoracao.png",
	cor_titulo: "white",
	cor_fundo_botao: "#ffd400",
	cor_texto_botao: "black"
});


//Compras Flutuantes
Compras_Flutuante({
	ativar: "não"
}, [
	{
		imagem: "https://cdn.awsli.com.br/500x500/1835/1835130/produto/173355648/9bc9d96ea8.jpg",
		link: "/vestido-criss-cross-drapejado-tie-back-abertura-lateral",
		name_product: "Comprou Vestido Criss Cross Drapejado",
		name_user: "Silvana Pereira  São Paulo - SP",
		hour: "2 horas atrás"
	},
	{
		imagem: "https://cdn.awsli.com.br/500x500/1835/1835130/produto/173355210/8ccf425af7.jpg",
		link: "/joyfunear-tubo-ziper-simples-glamour-vestido",
		name_product: "Comprou Vestido Zíper Simples",
		name_user: "André Souza São Paulo - SP",
		hour: "3 horas atrás"
	}
]);


//Ícones no menu principal
Icones_Menu({
	ativar: "não",
	Icone_1: "https://cdn-icons-png.flaticon.com/512/6722/6722593.png",
	Icone_2: "https://cdn-icons-png.flaticon.com/512/6391/6391294.png",
	Icone_3: "https://cdn-icons-png.flaticon.com/512/4343/4343141.png",
	Icone_4: "https://cdn-icons-png.flaticon.com/512/6983/6983984.png",
	Icone_5: "https://cdn-icons-png.flaticon.com/512/6983/6983891.png",
	Icone_6: "https://cdn-icons-png.flaticon.com/512/2666/2666211.png",
	Icone_7: "",
	Icone_8: "",
	Icone_9: "",
	Icone_10: "",
	Icone_11: "",
	Icone_12: "",
	Icone_13: "",
	Icone_14: "",
	Icone_15: "",
	Icone_16: "",
	Icone_17: "",
	Icone_18: "",
	Icone_19: "",
	Icone_20: ""
});


//Títulos das vitrines nativas
Titulos_Vitrines({
	Lancamentos: "Novidades da Semana",
	Mais_Vendidos: "MAIS VENDIDOS",
	Destaques: "DESTAQUES"
});

//Tabela de Medidas
Tabela_Medidas({
	ativar: "não",
	titulo: "Guia de Medidas"
}, [
	{
		nome: "metalizada",
		imagem: "https://cdn.awsli.com.br/1656/1656453/arquivos/dda519deca28de5075e27d42d1dbbe0c.jpg"
	},
	{
		nome: "lasercut",
		imagem: "https://cdn.awsli.com.br/1950/1950161/arquivos/tabela_de_medidas.jpg"
	}
]);

//Navegue por departamentos
Departamentos({
	ativar: "sim",
	titulo: "Compre por Categoria"
}, [
	{
		icone: "https://cdn.awsli.com.br/2603/2603841/arquivos/aaa.png",
		titulo: "Fitas de Aço",
		link: "/fitas"
	},
	{
		icone: "https://cdn.awsli.com.br/2603/2603841/arquivos/grampos-e-aterramentos.png",
		titulo: "Grampos e Aterramento",
		link: "/grampos"
	},
	{
		icone: "https://cdn.awsli.com.br/2603/2603841/arquivos/grampos-e-aterramentos-1-.png",
		titulo: "Indentificação e Sinalização",
		link: "/Identificação"
	},
	{
		icone: "https://cdn.awsli.com.br/2603/2603841/arquivos/grampos-e-aterramentos-2-.png",
		titulo: "Instalações Elétricas",
		link: "/instalações"
	},
	{
		icone: "https://cdn.awsli.com.br/2603/2603841/arquivos/grampos-e-aterramentos-3-.png",
		titulo: "Conectores Elétricos",
		link: "/conectores"
	},
	{
		icone: "https://cdn.awsli.com.br/2603/2603841/arquivos/grampos-e-aterramentos-4-.png",
		titulo: "Padrão de Entrada Elétrica",
		link: "/padrão"
	}
]); 

//Banners Vitrines
Banners_Vitrines({
	ativar: "sim",
	imagem_1: "https://cdn.awsli.com.br/2603/2603841/arquivos/grampos-e-aterramentos-8-.png",
	link_1: "/promocoes",
	imagem_2: "https://cdn.awsli.com.br/2603/2603841/arquivos/grampos-e-aterramentos-7-.png",
	link_2: "/promocoes",
	imagem_3: "https://cdn.awsli.com.br/1835/1835121/arquivos/banner-vitrine-3.png",
	link_3: "/promocoes",
	imagem_4: "https://cdn.awsli.com.br/1835/1835121/arquivos/banner-vitrine-4.png",
	link_4: "/promocoes"
});

//Banner Tarja Editável (com HTML e imagens)
Banner_Tarja({
	ativar: "sim"
}, [
	{
		icone: "https://cdn.awsli.com.br/1837/1837706/arquivos/security.png",
		link: "#",
		titulo: "Loja 100% segura",
		descricao: "selo de segurança"
	},
	{
		icone: "https://cdn.awsli.com.br/1837/1837706/arquivos/brasil.png",
		link: "#",
		titulo: "Entregamos",
		descricao: "em todo o Brasil"
	},
	{
		icone: "https://cdn.awsli.com.br/1837/1837706/arquivos/iconcardtarja.png",
		link: "#",
		titulo: "Parcele suas compras",
		descricao: "em até 12x"
	},
	{
		icone: "https://cdn.awsli.com.br/1837/1837706/arquivos/truck.png",
		link: "#",
		titulo: "Logistica",
		descricao: "e Fretes especiais"
	},
	{
		icone: "https://cdn.awsli.com.br/1837/1837706/arquivos/discount.png",
		link: "#",
		titulo: "Desconto de 20%",
		descricao: "Cupom: PRIMEIRACOMPRA"
	}
]);

//Depoimentos na Home
Depoimentos_Home({
	ativar: "sim",
	titulo: "Depoimentos"
}, [
	{
		imagem: "https://cdn.awsli.com.br/1837/1837706/arquivos/146037.png",
		nome: "MIGUEL",
		data: "MANDAGUARI/PR",
		descricao: "Chama bb"
	},
	{
		imagem: "https://cdn.awsli.com.br/1837/1837706/arquivos/146035.png",
		nome: "Toninho",
		data: "BABILONIA/99",
		descricao: "Vocês são incríveis! Obrigado pelo ótimo trabalho!"
	},
	{
		imagem: "https://cdn.awsli.com.br/1837/1837706/arquivos/146034.png",
		nome: "BUGALU",
		data: "LONGE PAKAS",
		descricao: "O Manual de configuração do tema é bem simples e tem bastante vídeos explicativos, muito bom!!"
	},
	{
		imagem: "https://cdn.awsli.com.br/1837/1837706/arquivos/146031.png",
		nome: "CESAR",
		data: "JURUNIS",
		descricao: "Achei os temas maravilhosos! Recomendo muito essa empresa."
	},
	{
		imagem: "https://cdn.awsli.com.br/1837/1837706/arquivos/146036.png",
		nome: "Laura",
		data: "Recife / PE",
		descricao: "Com certeza indicarei a Samá Themes para os meus amigos lojistas!"
	}
]);

//Menu Ofertas
Ofertas_Especiais({
	ativar: "sim",
	icone: "https://cdn.awsli.com.br/1837/1837706/arquivos/sitediscounticon2.png",
	link_categoria: "/ofertas-da-semana",
	titulo_categoria: "Ofertas da Semana",
	cor_fundo_categoria: "#fe8525",
	cor_titulo_categoria: "white",
	titulo_cronometro: "Confira nossas ofertas da semana",
	sub_titulo_cronometro: "Corre que já está acabandooo!!",
	termino_cronometro: " undefined"
});

Altura_Produtos({
	Altura_Produtos_Desktop: "100",
	Altura_Produtos_Mobile: "100"
});

CategoriasAlta({
	antesOuDepois: "before",
	posicaoListagem: "2",
	ativarDesktop: "não",
	ativarMobile: "não",
	itemsPorLinhaDesktop: "4",
	itemsPorLinhaMobile: "2",
	ativarTituloPrincipal: "não",
	tituloPrincipal: "Categorias em Alta!",
	corTituloPrincipal: "#111111",
	corTituloItem: "#111111",
	corSubTituloItem: "#555555",
	corTextoBotao: "white",
	corFundoBotao: "#cd0202"
}, [
	{
		ativar: "não",
		imagem: "https://cdn.awsli.com.br/1835/1835130/arquivos/categorias-em-alta-01.png",
		link: "/lancamentos",
		textoBotao: "clique e confira",
		titulo: "Chegou agora!",
		subtitulo: "t is a long established fact that a reader will be distracted by the readable content"
	},
	{
		ativar: "sim",
		imagem: "https://cdn.awsli.com.br/1835/1835130/arquivos/categorias-em-alta-3.png",
		link: "/acessorios",
		textoBotao: "clique e confira",
		titulo: "Acessórios",
		subtitulo: "There are many variations of passages of Lorem Ipsum available, but the majority"
	},
	{
		ativar: "sim",
		imagem: "https://cdn.awsli.com.br/1835/1835130/arquivos/categorias-em-alta-4.png",
		link: "/estetica-minimalista",
		textoBotao: "clique e confira",
		titulo: "Minimalista",
		subtitulo: "he standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those interested."
	},
	{
		ativar: "sim",
		imagem: "https://cdn.awsli.com.br/1835/1835130/arquivos/categorias-em-alta-2.png",
		link: "/beleza",
		textoBotao: "clique e confira",
		titulo: "Super Oferta",
		subtitulo: "Simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's"
	}
]);

});

//Não edite o código abaixo!
$(".secao-banners .flexslider li").each(function(){let e=$(this).find("img").attr("alt").toLowerCase();window.innerWidth>=768?e.includes("@mobile")&&$(this).remove():e.includes("@desktop")&&$(this).remove()});